Subject: Re: issues with recent doprnt-related changes

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2011 05:52:10 -0400

> Date: Wed, 04 May 2011 00:28:18 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> On 04/29/11 04:16, Eli Zaretskii wrote:
> > I guess so, yes.  I would like to have other opinions, though, so I
> > will start a new thread on emacs-devel about that.
> 
> It seems from that discussion that strings can contain MOST_POSITIVE_FIXNUM bytes.

I think the conclusion was that it can contain MOST_POSITIVE_FIXNUM
_including_the_terminating_null_.

> Also, that va_arg bug really needs fixing.  So I plan to install the following
> patch after some more testing.  This assumes va_copy exists, which may affect
> the Windows port, but a one-line macro should suffice if it doesn't have
> va_copy already.

Right, I will take care of that when this is installed.

Thanks.